Skip to content

Expenses · Reports

Aggregate category and team-category expense reports.

Get category report for expenses

Request

Security
oauth2ClientCredentials(Required scopes: expenses:write)
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
periodnumberrequired

Period for the report

Example:5
accountrefstring

Account reference (org_wallet_ref)

Example:1
teamcodestring

Team code for filtering expenses

Example:"T0012T"
curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/expenses/category-report \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "period": 5,
    "accountref": 1,
    "teamcode": "T0012T"
  }'

Responses

Category report generated successfully

Bodyapplication/json
dataobject(CategoryReportDataDto)required

Report data

statusnumberrequired

Status code

Example:0
messagestringrequired

Response message

Example:"success"
Response
{ "data": { "labels": [], "data": [], "total": 1496 }, "status": 0, "message": "success" }